# -*- encoding: utf-8 -*-
# stub: rubocop-bitcrowd 2.2.0 ruby lib

Gem::Specification.new do |s|
  s.name = "rubocop-bitcrowd".freeze
  s.version = "2.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "changelog_uri" => "https://github.com/bitcrowd/rubocop-bitcrowd/blob/master/CHANGELOG.md" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["bitcrowd".freeze]
  s.bindir = "exe".freeze
  s.date = "2020-03-26"
  s.description = "Use this as a quick start to get rubocop with the settings we use at bitcrowd into your project".freeze
  s.email = ["info@bitcrowd.net".freeze]
  s.executables = ["rubocop-autofix".freeze]
  s.files = ["exe/rubocop-autofix".freeze]
  s.homepage = "https://github.com/bitcrowd/rubocop-bitcrowd".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "\nStarting with this version of rubocop-bitcrowd, we are following RuboCop's\nmodularization into separate gems and splitting up our configuration into:\n- .rubocop.yml\n- .rubocop-rails.yml\n- .rubocop-rspec.yml\n- .rubocop-performance.yml\n\nIf you want to include the `rails`, `rspec` or `performance` cops, add the\nrespective gems to your Gemfile:\n\ngem 'rubocop-rails', require: false\ngem 'rubocop-rspec', require: false\ngem 'rubocop-performance', require: false\n\nAdd include the bitcrowd specific configuration in your .rubocop.yml\n\ninherit_gem:\n  rubocop-bitcrowd:\n    - .rubocop.yml\n    - .rubocop-rspec.yml\n    - .rubocop-rails.yml\n    - .rubocop-performance.yml\n\nCheers!\nYour friends at bitcrowd\n\n".freeze
  s.rubygems_version = "3.2.22".freeze
  s.summary = "The bitcrowd rubocop.yml as a gem.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rubocop>.freeze, [">= 0.78.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.14"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.3.3"])
  else
    s.add_dependency(%q<rubocop>.freeze, [">= 0.78.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.14"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.3.3"])
  end
end
